POETRY-DYNAMIC-VERSIONING(1)

NAME
poetry-dynamic-versioning

SYNOPSIS
poetry-dynamic-versioning [-h] {enable,show} ...

DESCRIPTION
Apply the dynamic version to all relevant files and leave the changes in-place. This allows you to activate the plugin behavior on demand and inspect the result. Your configuration will be detected from pyproject.toml as normal.

SUBCOMMANDS

  poetry-dynamic-versioning enable
Update pyproject.toml to enable the plugin using a typical configuration. The output may not be suitable for more complex use cases.

usage: poetry-dynamic-versioning enable [-h]

  poetry-dynamic-versioning show
Print the version without changing any files.

usage: poetry-dynamic-versioning show [-h]

AUTHOR
Matthew T. Kennerly (mtkennerly)

DISTRIBUTION
The latest version of poetry-dynamic-versioning - Dynamic versioning plugin for Poetry may be downloaded from https://github.com/mtkennerly/poetry-dynamic-versioning